﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Data;

namespace HeuristicLab.Hive.Contracts {
  public class ApplicationConstants {

    public static System.Data.IsolationLevel ISOLATION_LEVEL = IsolationLevel.ReadUncommitted;

    /// <summary>
    /// ReadUncommitted to minimize deadlocks. 
    /// </summary>
    public static System.Transactions.IsolationLevel ISOLATION_LEVEL_SCOPE = System.Transactions.IsolationLevel.ReadCommitted;

    public static int HEARTBEAT_MAX_DIF = 1200; // value in seconds
    
    public static int JOB_TIME_TO_LIVE = 900; // heartbeats from the assigned slave

    /// <summary>
    /// Interval in which the HL.HiveExperiment will poll results from server
    /// </summary>
    public static TimeSpan RESULT_POLLING_INTERVAL = new TimeSpan(0, 0, 5);

    /// <summary>
    /// Maximum number of jobs that the server should send/receive simultaniously
    /// </summary>
    public static int MAX_JOB_TRANSFER_COUNT = 8;

    /// <summary>
    /// Default user for slave
    /// </summary>
    public static string SLAVE_USERNAME = "hiveslave";

    /// <summary>
    /// Default password for slave
    /// </summary>
    public static string SLAVE_PASSWORD = "hiveslave";
  }
}
